Name:           x2goclient
Version:        4.0.3.0
Release:        1%{?dist}
Summary:        X2Go Client application (Qt4)

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.x2go.org
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  cups-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libssh-devel
BuildRequires:  libXpm-devel
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  man2html-core
%else
BuildRequires:  man
%endif
BuildRequires:  openldap-devel
BuildRequires:  qt-devel
BuildRequires:  qtbrowserplugin-static
Requires:       hicolor-icon-theme
Requires:       nxproxy
# For GSSAPI authenticated connections
Requires:       openssh-clients
# For local folder sharing and printing
Requires:       openssh-server

%description
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick

X2Go Client is a graphical client (Qt4) for the X2Go system.
You can use it to connect to running sessions and start new sessions.


%package -n x2goplugin
Summary:        X2Go Client (Qt4) as browser plugin
Group:          Applications/Communications
Requires:       mozilla-filesystem
Requires:       nxproxy
# For GSSAPI authenticated connections
Requires:       openssh-clients
# For local folder sharing and printing
Requires:       openssh-server

%description -n x2goplugin
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick

X2Go Client is a graphical client (qt4) for the X2Go system.
You can use it to connect to running sessions and start new sessions.

This package provides X2Go Client as QtBrowser-based Mozilla plugin.


%package -n x2goplugin-provider
Summary:        Provide X2Go Plugin via Apache webserver
Group:          Applications/Communications
Requires:       httpd

%description -n x2goplugin-provider
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick

This package provides an example configuration for providing
the X2Go Plugin via an Apache webserver.


%prep
%setup -q
# Fix up install issues
sed -i -e 's/-o root -g root//' Makefile
sed -i -e '/^MOZPLUGDIR=/s/lib/%{_lib}/' Makefile
# Use system qtbrowserplugin
sed -i -e '/CFGPLUGIN/aTEMPLATE=lib' x2goclient.pro
sed -i -e '/^LIBS /s/$/ -ldl/' x2goclient.pro
sed -i -e 's/include.*qtbrowserplugin.pri)/LIBS += -lqtbrowserplugin/' x2goclient.pro
rm -r qtbrowserplugin*


%build
export PATH=%{_qt4_bindir}:$PATH
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
ln -s ../../x2go/x2goplugin-apache.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/x2goplugin-provider.conf


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS COPYING LICENSE 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.gz

%files -n x2goplugin
%doc AUTHORS COPYING LICENSE 
%{_libdir}/mozilla/plugins/libx2goplugin.so

%files -n x2goplugin-provider
%doc AUTHORS COPYING LICENSE 
# Link
%{_sysconfdir}/httpd/conf.d/x2goplugin-provider.conf
%dir %{_sysconfdir}/x2go
%dir %{_sysconfdir}/x2go/plugin-provider
%config(noreplace) %{_sysconfdir}/x2go/plugin-provider/x2goplugin.html
%config(noreplace) %{_sysconfdir}/x2go/x2goplugin-apache.conf
%{_datadir}/x2go/


%changelog
* Thu Oct 23 2014 Orion Poplawski <orion@cora.nwra.com> - 4.0.3.0-1
- Update to 4.0.3.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 14 2014 Orion Poplawski <orion@cora.nwra.com> - 4.0.2.1-1
- Update to 4.0.2.1

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 10 2014 Orion Poplawski <orion@cora.nwra.com> - 4.0.2.0-1
- Update to 4.0.2.0

* Tue Feb 18 2014 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.3-4
- Add patch to fix ssh options (bug #1066744)

* Wed Jan 29 2014 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.3-3
- Add patch to fix libssh password auth issue (bug #1057871)

* Wed Jan 22 2014 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.3-2
- Add patch to fix libssh timeout issue (bug #1053923)

* Wed Jan 22 2014 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.3-1
- Update to 4.0.1.3
- Drop provider patch applied upstream

* Tue Dec 17 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.2-1
- Update to 4.0.1.2
- Update summary and description from upstream
- Split out browser plugin into x2goplugin package
- Add x2goplugin-provider package for apache config

* Wed Sep 11 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.1-1
- Update to 4.0.1.1
- Drop patches applied upstream

* Thu Sep 5 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.0-5
- Build against system qtbrowserplugin

* Fri Aug 30 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.0-4
- Add BR desktop-file-utils and validate desktop file
- Add gtk-update-icon-cache scriptlets

* Wed Apr 10 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.0-3
- Add patch to set dpi automatically

* Thu Mar 28 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.0-2
- Add patch to fix proxy connection issue

* Mon Mar 25 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.0-1
- Update to 4.0.1.0

* Tue Feb 12 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.0.2-1
- Update to 4.0.0.2

* Fri Jan 18 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.0.1-1
- Update to 4.0.0.1

* Wed Dec 12 2012 Orion Poplawski <orion@cora.nwra.com> - 3.99.3.1-0.1
- Update to latest git

* Tue Dec 11 2012 Orion Poplawski <orion@cora.nwra.com> - 3.99.3.0-1
- Initial Fedora package
